Prblem no vesrion 10 available in Plesk yet (jan 19)

Enable Node support in Plesk Onyx:

Install the “Node support” simply from your “update and updates” Plesk interface.
Go to your “Node extension” page enable/disable the node versions you need
In case you need additional node versions which does not come with the default node support installation:

Install the Node Version Manager on your server
Install the versions you need e.g. nvm install v10.15.1
Copy paste the node version to plesk cp -R ~/.nvm/versions/node/v10.15.1/ /opt/plesk/node/
Then notify your plesk about your installation plesk sbin nodemng register /opt/plesk/node/v10.15.1/bin/node
Go to your node extension page where all node versions are listed, hit refresh and see

Recommended Posts